@echo off
echo ==============================
echo Starting Life Server
echo ==============================
echo.

rem set svPort=2302 / bestimmt den Port des Server's / Standard 2302 / Bei mehreren Servern den wert des Ports auf 100 o. 10 erhöhen z.B. (100|2402) o. (10|2312)
set svPort=2302

rem set svMod=@life_server;@extDB3 / setzt die Servermods des Server's
set svServermod=@life_server;@extDB3

rem set svMod=@mod1;@mod2;@mod3 / setzt die "Plichtmods", die der Client ebenfalls herunterladen MUSS
set svMod=mods/@task_force_radio;mods/@Charlieco_Trage_fuer_Alfred_Cars;mods/@ace;mods/@acex;mods/@ACE_3_Extension_Placeables;mods/@ACE_3_Extension_Gestures;mods/@ACE_3_Extension_Animations_and_Actions;mods/@KokaKolaA3s_Gesture_Pack_Animations;mods/@CBA_A3;mods/@@AF_Base;mods/@@AF_Skins;mods/@@[AF]_2015_BMW_530d_Touring;mods/@@2017_BMW_540i_G30_Pol_NEF_Zivil;mods/@@AF_Volkswagen_Passat_B8_15;mods/@[AF]_2019_Mercedes_Benz_A_Klasse_NEF_Pol;mods/@@[AF]_2015_Ford_Transit_KTW;mods/@@2019_Mercedes_Benz_Sprinter_Pol_KTW_Repair;mods/@@2019_Mercedes_Benz_Sprinter_Box_RTW_Bayern_RTW_19;mods/@@AF_mercedes_sprinter_17;mods/@D3S_Cars_pack;mods/@D3S_CUP_Fix;mods/@Medium_Utility_Helicopters;mods/@Road_Elements;mods/@E76_Roads_Remasterd-Freilaeufer_Projects;mods/@Em_Buildings;mods/@ScriptOase_PoliceHeadquarters;mods/@PLP_Urban_Packs_Barriers_and_Fences;mods/@Pack_Garage;mods/@Garage_Bunker;mods/@CUP_Terrains_Core;mods/@CUP_Terrains_ACE_compat;mods/@CUP_Units;mods/@CUP_Vehicles;mods/@CUP_Vehicles_ACE_compat;mods/@ScriptOase_Base;mods/@ArmA_3_Custom_Buildings_Original;mods/@3A_Tuning_Shop;mods/@Car_Showroom;mods/@Car_lift_and_Car_Ramps_V0.1;mods/@Advanced_Rappelling;mods/@Advanced_Sling_Loading;mods/@Advanced_Towing;mods/@Advanced_UrbanRappelling;mods/@Deutsche_Polizeifahrzeuge_Pack;mods/@Deutsches_Notarztfahrzeug_Pack;mods/@CUP_Weapons;mods/@CUP_Weapons_ACE_compat;mods/@Polizei_Skins_by_YouKnowIt;mods/@A3_Furniture_Pack_V1.1;mods/@Urikis_Mission_Items;mods/@Technical_Vehicle_Pack;mods/@Sab_Civil_Aviation;mods/@BundesPolizei_und_Spezialeinheiten

set Exe32=arma3server.exe
set Exe64=arma3server_x64.exe

rem set svExe=%32% / startet den Server mit der gewünschten Architektur 32Bit o. 64Bit
set svExe=%Exe64%
rem 32Bit = Exe32 | 64Bit = Exe64

rem set basic=config\basic.cfg / bestimmt den Pfad für die basic.cfg
set basic=C:\Users\Administrator\Documents\A3Master\config\basic.cfg

rem set basic=config\server.cfg / bestimmt den Pfad für die server.cfg
set cfg=C:\Users\Administrator\Documents\A3Master\server.cfg

rem set ProfileName=ArmaServerProfile / bestimmt den Namen des Server Profils
set ProfileName=ArmaServerProfile

rem set Profiles=ServerProfiles / bestimmt den Pfad wo die Profile gespeichert werden
set Profiles=C:\Users\Administrator\Documents\A3Master

rem set svmalloc=tbb4malloc_bi / bestimmt den RAM Allocator mehr dazu findest du hier: https://community.bistudio.com/wiki/Arma_3:_Custom_Memory_Allocator
set svmalloc=tbb4malloc_bi

rem set par= / setzt die Parameter des Server`s, mehr dazu findest du hier: https://community.bistudio.com/wiki/Arma_3_Startup_Parameters
set par=-autoinit -enableHT -exThreads= -loadMissionToMemory

rem set armapath="" / setzt das Hauptverzeichnis des Server's, z.B. "C:\Server\Arma_3_Life\A3Master"
set armapath="C:\Users\Administrator\Documents\A3Master"

rem set bepath="" / setzt das Verzeichnis von BattlEye, z.B. "C:\Server\Arma_3_Life\A3Master\battleye"
set bepath="C:\Users\Administrator\Documents\A3Master\battleye"

echo ==============================
echo Starting Arma Server from: %armapath%
echo ==============================
echo.

cd /d %armapath%

start "Arma III Server" "%svExe%" -cfg=%basic% -config=%cfg% -bepath=%bepath% -profiles=%Profiles% -name=%ProfileName% -malloc=%svmalloc% -port=%svPort% -Mod=%svMod% -serverMod=%svServermod%; %par%
PING -n 2 127.0.0.1>nul

echo ==============================
echo Listening to port: %svPort%
echo ==============================
echo.

PING -n 2 127.0.0.1>nul

echo ==============================
echo Starting with Servermods: %svServermod%
echo ==============================
echo.

echo ==============================
echo Starting with Servermods: %svMod%
echo ==============================
echo.

echo ==============================
echo Starting with Parameters: %Par%
echo ==============================
echo.

rem AB HIER Restartmanager!
echo ==============================
echo Starting Restartmanager
echo ==============================
echo.

:loop
rem 4:00 Uhr Restart
if "%time:~0,2%:%time:~3,2%"=="4:00" goto yes
goto end
:yes
echo 4:00 Uhr Restart
taskkill /f /im "%svExe%" >nul
PING -n 2 127.0.0.1>nul
start "Arma III Server" "%svExe%" -cfg=%basic% -config=%cfg% -bepath=%bepath% -profiles=%Profiles% -name=%ProfileName% -malloc=%svmalloc% -port=%svPort% -Mod=%svMod% -serverMod=%svServermod%; %par%
:end

rem 8:00 Uhr Restart
if "%time:~0,2%:%time:~3,2%"=="8:00" goto yes1
goto end1
:yes1
echo 8:00 Uhr Restart
taskkill /f /im "%svExe%" >nul
PING -n 2 127.0.0.1>nul
start "Arma III Server" "%svExe%" -cfg=%basic% -config=%cfg% -bepath=%bepath% -profiles=%Profiles% -name=%ProfileName% -malloc=%svmalloc% -port=%svPort% -Mod=%svMod% -serverMod=%svServermod%; %par%
:end1

rem 12:00 Uhr Restart
if "%time:~0,2%:%time:~3,2%"=="12:00" goto yes2
goto end2
:yes2
echo 12:00 Uhr Restart
taskkill /f /im "%svExe%" >nul
PING -n 2 127.0.0.1>nul
start "Arma III Server" "%svExe%" -cfg=%basic% -config=%cfg% -bepath=%bepath% -profiles=%Profiles% -name=%ProfileName% -malloc=%svmalloc% -port=%svPort% -Mod=%svMod% -serverMod=%svServermod%; %par%
:end2

rem 16:00 Uhr Restart
if "%time:~0,2%:%time:~3,2%"=="16:00" goto yes3
goto end3
:yes3
echo 16:00 Uhr Restart
taskkill /f /im "%svExe%" >nul
PING -n 2 127.0.0.1>nul
start "Arma III Server" "%svExe%" -cfg=%basic% -config=%cfg% -bepath=%bepath% -profiles=%Profiles% -name=%ProfileName% -malloc=%svmalloc% -port=%svPort% -Mod=%svMod% -serverMod=%svServermod%; %par%
:end3

rem 20:00 Uhr Restart
if "%time:~0,2%:%time:~3,2%"=="20:34" goto yes4
goto end4
:yes4
echo 20:00 Uhr Restart
taskkill /f /im "%svExe%" >nul
PING -n 2 127.0.0.1>nul
start "Arma III Server" "%svExe%" -cfg=%basic% -config=%cfg% -bepath=%bepath% -profiles=%Profiles% -name=%ProfileName% -malloc=%svmalloc% -port=%svPort% -Mod=%svMod% -serverMod=%svServermod%; %par%
:end4

rem 00:00 Uhr Restart
if "%time:~0,2%:%time:~3,2%"=="00:00" goto yes5
goto end5
:yes5
echo 00:00 Uhr Restart
taskkill /f /im "%svExe%" >nul
PING -n 2 127.0.0.1>nul
start "Arma III Server" "%svExe%" -cfg=%basic% -config=%cfg% -bepath=%bepath% -profiles=%Profiles% -name=%ProfileName% -malloc=%svmalloc% -port=%svPort% -Mod=%svMod% -serverMod=%svServermod%; %par%
goto ende
:end5

:ende
rem 5 min timer bis der Manager einen Check macht
timeout /t 300 /nobreak
goto :loop